Search and filter temporary events

TBC

Search and filter temporary events

get
/temporary-events
Query parameters
langstringOptional

Language of the content to retrieve (ISO 639-1). Defaults to English if undefined.

Default: enExample: en
page_sizeinteger · min: 1 · max: 100Optional

Number of items per page. Default value is 10, maximum value is 100.

Default: 10Example: 5
pageinteger · min: 1Optional

Number of the page to retrieve. Used in combination with the page_size parameter to define the page size.

Default: 1Example: 1
city_idintegerOptional

Filter results by city. Use the /cities endpoint to find the IDs Tiqets has assigned to the various known cities. Repeat the city_id parameter to broaden the search to span multiple cities.

Example: 113
country_idintegerOptional

Filter results by country. Use the /countries endpoint to find the IDs Tiqets has assigned to the various known countries. Repeat the country_id parameter to broaden the search to span multiple countries.

Example: 50233
experience_idintegerOptional

Filter results by experience. Use the /experiences endpoint to find the IDs Tiqets has assigned to the various known experiences. Repeat the experience_id parameter to broaden the search to span multiple experiences.

Example: 145528
from_datestring · dateOptional

Filter by when temporary events are active. Defaults to today when omitted. If to_date is provided, only events that are active at any time between this date and to_date are returned. If to_date is omitted, only events that are active on or after this date are returned.

Example: 2026-06-05Pattern: YYYY-MM-DD
to_datestring · dateOptional

End of the date range for filtering temporary events. When provided together with from_date, only events that are active at any time between from_date and this date are returned. When omitted, no upper bound is applied (events from from_date onwards).

Example: 2026-06-30Pattern: YYYY-MM-DD
Header parameters
AuthorizationstringRequired

Token <Your_API_Key>.

Default: Token <Partner_API_key>.
Responses
chevron-right
200

Successful operation.

application/json
successbooleanOptional
get
/temporary-events

Last updated

Was this helpful?